<!--
SPDX-FileCopyrightText: © 2020 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# unbound

Unbound Recursive DNS Server

[Unbound Documentation](https://nlnetlabs.nl/documentation/unbound/)

## Requirements

Minimum ansible version: 2.9.5

## Configuration

See the NSD role for descriptions of `dns_forward_zones` and
`dns_reverse_zones` - if those are defined, then Unbound will forward queries
for those zones to the NSD server - by default, it's assume to be running on
  the same host, listening at 127.0.0.1:53.

If you're using a network that already has DNS servers, or you want to use
specific DNS servers external to the network you can specify the zones they
forward for using `unbound_forward_zones`, and supplying which DNS zones you
want to use. `.` as the zone name means the global zone.

```
unbound_forward_zones:
  - name: "."
    servers:
      - "8.8.8.8"
      - "8.8.4.4"
```

Also set `unbound_reverse_zones` if you want to allow lookups against other
RFC1918 ip ranges - by default Unbound will reply with NXDOMAIN for reverse
lookups of addresses in those ranges.

## Example Playbook

```yaml
- hosts: all
  roles:
    - unbound

```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
